/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Sohail Khan
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* RELATED POSTS */
.custom-related-posts {
    margin-top: 30px;
    margin-bottom: 30px;
}

.related-heading {
    background-color: var(--color-background);
    color: var(--background);
    font-size: 22px;
    margin-bottom: 20px;
    padding-bottom: 5px;
    padding-top: 5px;
    text-align: center;
}

.related-posts-grid {
    column-gap: 20px;
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    row-gap: 20px;
}

.related-post-card img {
    height: auto;
    margin-bottom: 5px;
    max-width: 100%;
    object-fit: cover;
    width: auto;
    border-radius: 5px;
}

.related-title {
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 6px;
}

.related-title a {
    text-decoration: none;
}
.cat-heading{
	background-color: var(--color-background);
    color: var(--background);
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 25px;
    text-align: center;
    border-radius: 50px;
    padding: 5px;
}

span.related-date {
    color: var(--text-1);
    font-size: 11px;
    font-weight: 500;
}

@media (max-width: 992px) {
    .related-posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* =========================
   Mobile
========================= */
@media (max-width: 600px) {
    .related-posts-grid {
        grid-template-columns: 1fr;
    }
}

/* Social Sharing Buttons */
.wpjankari-social-wrapper {
    margin: 20px auto;
    font-size: 0;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
}

.wpjankari-social-sharing {
    padding: 12px;
    flex: 1;
}

@media only screen and (max-width: 600px) {
    .wpjankari-social-sharing {
        display: inline-block;
    }
}

.wpjankari-social-sharing svg {
    position: relative;
    top: 0.15em;
    display: inline-block;
    color: white;
}

.wpjankari-social-sharing:first-of-type {
    border-radius: 6px 0 0 6px;
}

.wpjankari-social-sharing:last-of-type {
    border-radius: 0 6px 6px 0;
}

.wpjankari-social-facebook {
    fill: #fff;
    background-color: rgba(59, 89, 152, 1);
}

.wpjankari-social-twitter {
    fill: #fff;
    background-color: rgba(29, 161, 242, 1);
}

.wpjankari-social-whatsapp {
    fill: #fff;
    background-color: rgba(37, 211, 102, 1);
}

.wpjankari-social-telegram {
    fill: #fff;
    background-color: rgb(2, 126, 189);
}

.wpjankari-social-share {
    background: #555;
}

.site-header {
    box-shadow: rgb(0 0 0 / .16) 0 1px 4px;
}

.inside-header {
    padding: 0;
}

.inside-article {
    padding: 0 !important;
}

.ft-img img {
    border-radius: 7px !important;
}

.ft-img {
    margin-bottom: 5px;
}

.pt-title {
    margin-bottom: 10px;
}

.auth-pro img {
    height: auto;
    max-width: 100%;
    object-fit: cover;
    width: 25px;
    border: 1.2px solid var(--color-background);
    border-radius: 50px;
}

.wp-block-latest-posts.alignleft {
    margin-right: 0;
}

.auth-pro {
    align-items: center;
}

.wp-block-post-author__byline {
    display: none;
}

.widget ul li {
    margin-bottom: 15px;
}

.btn {
    color: var(--background);
    font-size: 13px;
    margin-bottom: 0;
    text-align: center;
    padding: 20px;
}

/* Single Post Page */
.featured-image img {
    border-radius: 7px;
}

.entry-meta nav {
    display: none;
}

.cat-links {
    align-items: center;
    color: var(--color-background);
    column-gap: 0.2em;
    display: inline-flex;
    font-size: 13px;
    font-weight: 600;
}

.cat-links a {
    text-decoration: none;
}

h2.side-heading {
    background-color: var(--color-background);
    color: var(--background);
    font-size: 22px;
    text-align: center;
    padding: 6px;
    margin-bottom: 20px !important;
}
header.page-header{
	background-color: var(--color-background)!important;
    color: var(--background)!important;
    text-align: center;
    padding: 6px!important;
    margin-bottom: 20px !important;
	    border-radius: 50px;
}
header.page-header h1{
	font-size: 22px!important;
	font-weight:600;
}

.sidebar .widget {
    margin: 0;
    padding: 0;
}

#right-sidebar {
    border: 1px solid var(--border-color);
    border-radius: 7px;
    padding: 30px 20px;
	margin-top:20px;
}

a.wp-block-latest-posts__post-title {
    font-size: 13px;
    font-weight: 500;
    margin-bottom: 3px;
    text-decoration: none;
}

.wp-block-latest-posts__featured-image.alignleft img {
    border-radius: 5px;
}